Bug 647880 - double-free in v4l2_cpi_close()
Summary: double-free in v4l2_cpi_close()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libunicap
Version: 12
Hardware: All
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:aae574f83abb2df9b6994bce47d...
: 647959 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-29 19:03 UTC by gb
Modified: 2010-11-18 17:21 UTC (History)
3 users (show)

Fixed In Version: libunicap-0.9.12-7.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:43:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (30.81 KB, text/plain)
2010-10-29 19:04 UTC, gb
no flags Details

Description gb 2010-10-29 19:03:53 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: ucview
comment: connect second camera to computer
component: ucview
crash_function: raise
executable: /usr/bin/ucview
kernel: 2.6.34.7-61.fc13.x86_64
package: ucview-0.31-1.fc13
rating: 4
reason: Process /usr/bin/ucview was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
time: 1288378676
uid: 500

How to reproduce
-----
1.with camera logitech model V-UBM46 connected. Connected second camera V-UAM37
2.
3.

Comment 1 gb 2010-10-29 19:04:03 UTC
Created attachment 456536 [details]
File: backtrace

Comment 2 Robert Scheck 2010-10-29 20:47:45 UTC
Thanks for your report. Unfortunately, your system is not fully up-to-date,
there is already ucview 0.33 in updates-testing repository.

Perform something like:
yum update --enablerepo=updates-testing ucview libunicap libucil libunicap-gtk

Afterwards please try, whether the issue still exists. If yes, please provide
the output of the following command from your system to be sure, that you are
up-to-date: rpm -q ucview libunicap libucil libunicap-gtk

Comment 3 gb 2010-10-30 01:27:59 UTC
update to ucview 0.33 from updates-testing repo. there were no libunicap-gtk available
Setting up Update Process
No Match for argument: libunicap-gtk
No package libunicap-gtk available.
Resolving Dependencies

rpm -q ucview libunicap libucil libunicap-gtk
ucview-0.33-1.fc13.x86_64
libunicap-0.9.12-2.fc13.x86_64
libucil-0.9.10-1.fc13.x86_64
package libunicap-gtk is not installed

retested and got the same result ucview crashes. At first I thought it was just plugging in the second camera crashed the application. With both cameras plugged in, relaunch the application, it option to select camera device, if I choose another camera the application crash. If I allow the application to fully launch with the first camera selected then try to change camera the application crash.

Comment 4 Robert Scheck 2010-10-30 11:41:39 UTC
*** Bug 647959 has been marked as a duplicate of this bug. ***

Comment 5 Robert Scheck 2010-10-30 11:43:48 UTC
Kamil, may you look to this, if you've time?

Comment 6 Per Thomas Jahr 2010-11-02 12:31:16 UTC
Package: ucview-0.33-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Started the program UCView and selected the webcam as input device.

Comment 7 Kamil Dudka 2010-11-02 14:12:25 UTC
It's a bug in libunicap-0.9.12-memerrs.patch, the fixed packages will be available later today...

Robert, I actually forgot to tell that the following patches were not intended for stable Fedora:

libunicap-0.9.12-arraycmp.patch
libunicap-0.9.12-memerrs.patch
libunicap-0.9.12-warnings.patch

They are still pending a review at upstream bug tracker:

https://bugs.launchpad.net/unicap

Comment 8 Kamil Dudka 2010-11-02 15:49:53 UTC
fixed in libunicap-0.9.12-6.fc15

Comment 9 Kamil Dudka 2010-11-02 15:54:02 UTC
updated patch sent upstream:

https://bugs.launchpad.net/unicap/+bug/656230

Comment 10 Fedora Update System 2010-11-02 16:02:26 UTC
libunicap-0.9.12-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-6.fc14

Comment 11 Fedora Update System 2010-11-02 16:03:09 UTC
libunicap-0.9.12-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-6.fc13

Comment 12 Fedora Update System 2010-11-02 16:05:30 UTC
libunicap-0.9.12-6.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-6.fc12

Comment 13 Fedora Update System 2010-11-02 16:06:38 UTC
libunicap-0.9.12-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-7.el5

Comment 14 Fedora Update System 2010-11-02 22:13:43 UTC
libunicap-0.9.12-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libunicap'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libunicap-0.9.12-6.fc13

Comment 15 Bug Zapper 2010-11-03 09:13:35 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Kamil Dudka 2010-11-03 09:26:53 UTC
WONTFIX makes no sense here as the fixed package is already available in updates-testing...

Comment 17 Fedora Update System 2010-11-10 21:42:55 UTC
libunicap-0.9.12-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-11-10 21:44:40 UTC
libunicap-0.9.12-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-11-10 21:45:30 UTC
libunicap-0.9.12-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-11-18 17:20:49 UTC
libunicap-0.9.12-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.